Subject: Re: [RFC PATCH 0/2] Teach fetch and pull to recursively fetch submodules too

From: Jens Lehmann <[email-masked]>
Date: Mon, 30 Aug 2010 19:41:33 +0200

Am 30.08.2010 07:58, schrieb Junio C Hamano:
> I am not sure what you mean by "all submodules" nor "all repos", though.
> In order to trigger the feature this series introduces, users have a means
> to initialize all submodules in one go (update --recursive --init), and
> wouldn't that be sufficient?

I was thinking about adding a "fetch.recursive" config option which
would allow setting the - now hardcoded - default in .git/config or
~/.gitconfig, but I'm not quite sure that is needed.